#
# spec file for package python-os-refresh-config
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname os-refresh-config
Name:           python-os-refresh-config
Version:        10.1.0
Release:        2.1
Summary:        Refresh system configuration
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-dib-utils
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-pbr
BuildRequires:  python-psutil
BuildRequires:  python-setuptools
BuildRequires:  python-stestr
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-dib-utils
Requires:       python-pbr
Requires:       python-psutil
BuildArch:      noarch

%description
Tool to refresh openstack config changes to service.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%py2_build

%install
%py2_install
install -d -m 755 %{buildroot}%{_libexecdir}/os-refresh-config/pre-configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/os-refresh-config/configure.d
install -d -m 755 %{buildroot}%{_libexecdir}/os-refresh-config/migration.d
install -d -m 755 %{buildroot}%{_libexecdir}/os-refresh-config/post-configure.d

%check
%{__python2} -m stestr.cli run

%files
%license LICENSE
%doc README.rst
%{_bindir}/os-refresh-config
%{python2_sitelib}/os_refresh_config
%{python2_sitelib}/*.egg-info
%{_libexecdir}/os-refresh-config

%changelog
